[tool.poetry]
name = "fuzzy"
version = "1.0.0"
description = "Fuzzy Controller"
authors = ["Aleksey Filippov <al.filippov@ulstu.ru>"]
readme = "readme.md"
package-mode = false

[tool.poetry.dependencies]
python = "^3.12"
jupyter = "^1.1.1"
numpy = "^2.1.0"
pandas = "^2.2.2"
matplotlib = "^3.9.2"
scikit-learn = "^1.5.2"
scikit-fuzzy = "^0.5.0"
networkx = "^3.4.2"
imbalanced-learn = "^0.12.3"
seaborn = "^0.13.2"
statsmodels = "^0.14.4"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
